Package org.apache.any23.extractor.microdata

## Class MicrodataExtractor

- java.lang.Object
- - org.apache.any23.extractor.microdata.MicrodataExtractor

- All Implemented Interfaces:
    `org.apache.any23.extractor.Extractor<Document>`, `org.apache.any23.extractor.Extractor.TagSoupDOMExtractor`

      public class MicrodataExtractor
      extends Object
      implements org.apache.any23.extractor.Extractor.TagSoupDOMExtractor

  Default implementation of Microdata extractor, based on `Extractor.TagSoupDOMExtractor`.
  Author:
    Michele Mostarda (mostarda@fbk.eu), Davide Palmisano ( dpalmisano@gmail.com ), Hans Brende (hansbrende@apache.org)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor

      `org.apache.any23.extractor.Extractor.BlindExtractor, org.apache.any23.extractor.Extractor.ContentExtractor, org.apache.any23.extractor.Extractor.TagSoupDOMExtractor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MicrodataExtractor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.any23.extractor.ExtractorDescription` | `getDescription()` |
    `void` | `run​(org.apache.any23.extractor.ExtractionParameters extractionParameters, org.apache.any23.extractor.ExtractionContext extractionContext, Document in, org.apache.any23.extractor.ExtractionResult out)` | This extraction performs the Microdata to RDF conversion algorithm.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MicrodataExtractor

          public MicrodataExtractor()

  - ### Method Detail

    - #### getDescription

          public org.apache.any23.extractor.ExtractorDescription getDescription()

      Specified by:
        `getDescription` in interface `org.apache.any23.extractor.Extractor<Document>`

    - #### run

          public void run​(org.apache.any23.extractor.ExtractionParameters extractionParameters,
                          org.apache.any23.extractor.ExtractionContext extractionContext,
                          Document in,
                          org.apache.any23.extractor.ExtractionResult out)
                   throws IOException,
                          org.apache.any23.extractor.ExtractionException

      This extraction performs the Microdata to RDF conversion algorithm.
      Specified by:
        `run` in interface `org.apache.any23.extractor.Extractor<Document>`
      Throws:
        `IOException`
        `org.apache.any23.extractor.ExtractionException`